Collections (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class Collections

    java.lang.Object
      org.hibernate.engine.internal.Collections

    public final class Collections

extends Object

Implements book-keeping for the collection persistence by reachability algorithm

Method Summary
`static void` | `processReachableCollection(PersistentCollection collection, CollectionType type, Object entity, SessionImplementor session)` Initialize the role of the collection.
`static void` | `processUnreachableCollection(PersistentCollection coll, SessionImplementor session)` record the fact that this collection was dereferenced

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processUnreachableCollection

    public static void processUnreachableCollection(PersistentCollection coll,
                                                    SessionImplementor session)

  record the fact that this collection was dereferenced

  Parameters:
    `coll` - The collection to be updated by un-reachability.

### processReachableCollection

    public static void processReachableCollection(PersistentCollection collection,
                                                  CollectionType type,
                                                  Object entity,
                                                  SessionImplementor session)

  Initialize the role of the collection.

  Parameters:
    `collection` - The collection to be updated by reachability.
    `type` - The type of the collection.
    `entity` - The owner of the collection.
    `session` - The session from which this request originates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.